package net.blumia.pcmdroid.model

import androidx.room.*
import kotlinx.coroutines.flow.Flow

@Entity(tableName = "server_table")
data class Server (
    @PrimaryKey @ColumnInfo(name = "url")
    val url: String,
    @ColumnInfo(name = "name")
    val name: String,
    @ColumnInfo(name = "baseFolderName")
    val baseFolderName: String,
) {
    fun displayName(): String {
        return name
    }
}

@Dao
interface ServerDao {

    @Query("SELECT * FROM server_table") //  ORDER BY wtf ASC
    fun getServers(): Flow<List<Server>>

    @Insert(onConflict = OnConflictStrategy.IGNORE)
    suspend fun insert(server: Server)

    @Query("DELETE FROM server_table")
    suspend fun deleteAll()
}